Redmine - Feature #3521

Permissions for roles to change fields per tracker/status
2009-06-22 19:07 - Robert Gonzalez

Status: Closed Start date: 2009-06-22
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour
Target version: 2.1.0

Resolution: Fixed

Description

It would be nice to have (possibly in the same page as the workflow administration) a toggle for a role for a tracker so that updating a
field is allowed or disallowed. l.e. since RedMine is already allowing or disallowing the change of the status in the work flow from
some previous state to some new state, why not make a simple addition that extends this to any field, but not for every possible state
change of those fields, just a simple gating switch of whether or not a change is allowed for that role.

For example, | do not wish developers to be able to move a bug to another version. Right now there is no way to disallow this
basically. This should be the function of a manager, who makes the decision together with the stakeholders of whether or not a
feature/bug, etc. is moved to a future version.

Related issues:

Related to Redmine - Feature #8050: Mightful workflow field enhancement: vis... Closed 2011-04-03
Related to Redmine - Feature #10697: Split role permission for "edit ticket" Closed

Related to Redmine - Feature #13814: No more comments when ticket closed New

Related to Redmine - Feature #10922: Allow tracker only for Subtask Closed

Related to Redmine - Feature #1445: add new permission 'edit issue planning' Closed 2008-06-13
Related to Redmine - Feature #13422: "Edit assigned user" permission for issues Closed

Has duplicate Redmine - Feature #5067: Read only custom field Closed 2010-03-13
Has duplicate Redmine - Feature #1919: Separate permissions for changing assi... Closed 2008-09-18
Has duplicate Redmine - Feature #8134: Restrict edit issue possibilities per ... Closed 2011-04-12
Has duplicate Redmine - Feature #7557: Deny editing of descriptions of closed... Closed 2011-02-05
Has duplicate Redmine - Feature #583: Make "Assign To" field read only or dis... Closed

Has duplicate Redmine - Feature #10394: Implement permission "Assign users to... Closed

Has duplicate Redmine - Feature #10950: need help add issue without any selec... Closed

Has duplicate Redmine - Feature #10684: hide list of assignees when creating ... Closed

Has duplicate Redmine - Feature #5239: privilege to assign an issue Closed 2010-04-02
Has duplicate Redmine - Feature #6036: user permission is changing as the wor... Closed 2010-08-05
Has duplicate Redmine - Feature #6219: More precise "Edit issue" permission Closed 2010-08-26
Has duplicate Redmine - Feature #4684: Allow for customizable view permission... Closed 2010-01-28
Has duplicate Redmine - Feature #4485: Create an ACL privilege for assigning ... Closed 2009-12-25

Associated revisions

Revision 9977 - 2012-07-15 16:12 - Jean-Philippe Lang

Workflow enhancement: editable and required fields configurable by role, tracker and status (#703, #3521).

Revision 9979 - 2012-07-15 16:19 - Jean-Philippe Lang
Removed hard-coded strings (#7083, #3521).

Revision 9980 - 2012-07-15 16:19 - Jean-Philippe Lang
Fills locales (#703, #3521).

Revision 9985 - 2012-07-15 16:50 - Jean-Philippe Lang
ruby1.8 compatibility (#703, #3521).
History

#1 - 2009-09-03 07:15 - Daniel Jones

+1

#2 - 2010-04-21 21:26 - Greg Mefford

+1

#3 - 2010-04-21 21:43 - minkbear minkbear

+1

very agree with this feature but...
try to take a look at link below.

#4 - 2012-04-25 22:58 - Terence Mill
related to #8050

#5 - 2012-07-15 18:24 - Jean-Philippe Lang

- File workflow_permissions.png added

- Subject changed from Add on/off permissions for roles to change fields in a tracker to Permissions for roles to change fields per tracker/status
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

Feature added. You can now configure read-only fields per tracker, status and role.

A new tab is added to the workflow settings to configure read-only standard/custom fields. This same form is used to configure required fields as well
(#703):
https://www.redmine.org/issues/5032
https://www.redmine.org/issues/4670
https://www.redmine.org/issues/703
https://www.redmine.org/issues/1091
https://www.redmine.org/issues/4927
https://www.redmine.org/issues/4684
https://www.redmine.org/issues/4309
https://www.redmine.org/issues/3090
https://www.redmine.org/issues/8050
https://www.redmine.org/issues/703

Fields permissions
Select a role and a tracker to edit the workflow:

Role: Contributor = Tracker: Feature = | Edit | [] Only display statuses that are used by this tracker

Issue status

MNew Confirmed Assigned Resolved Closed Reopened
8 standard fields
Project - - - - Read-only - -
Tracker - - - - Read-only -
Subject - - - - Read-only -
Description - - - - Read-only -
Priarity - - - - - -
Private - - - - - -
Assignee - - Required - - -
Category - Required « Required Required « Required -
Target version - - - - - -
Parent task - - - - - -
Start date - - - - - -
Due date - - - - - -
Estimated time - - - - - -
% Done - - - - - -
g Custom fields
Resolution - - - - Required -

Note that if a user has multiple roles on the same project, only fields that are read-only for all its roles are actually read-only.

#6 - 2012-08-02 14:08 - Hannes Meier
is also closing ticket #10697

#7 - 2012-08-09 09:38 - Michat Chetminski

| have a question. | want to implement these Feature #3521 in redmine 2.0.1. but it will work ?

This feature will be very useful in my company. | have no time to wait 45 days for new version 2.1.0. On monday | am starting a new project and |
need this feature.

#8 - 2012-09-20 00:29 - Gabriel Mazetto
#11887 may be a bug related with this feature

#9 - 2014-12-01 14:28 - Go MAEDA

- Has duplicate Feature #10394: Implement permission "Assign users to issues". added

#10 - 2016-03-12 03:04 - Go MAEDA
- Has duplicate Feature #10950: need help add issue without any selection added

#11 - 2016-08-23 04:13 - Go MAEDA

- Has duplicate Feature #10684: hide list of assignees when creating new issue added

#12 - 2018-01-04 13:26 - Go MAEDA
- Related to Feature #10922: Allow tracker only for Subtask added

#13 - 2018-04-02 08:52 - Go MAEDA

- Has duplicate Feature #5239: privilege to assign an issue added

#14 - 2018-04-02 13:57 - Go MAEDA
https://www.redmine.org/issues/10697
https://www.redmine.org/issues/3521
https://www.redmine.org/issues/11887

- Has duplicate Feature #6036: user permission is changing as the workflow state is changed added

#15 - 2019-06-08 03:48 - Go MAEDA

- Has duplicate Feature #6219: More precise "Edit issue" permission added

#16 - 2019-12-14 06:17 - Go MAEDA

- Has duplicate Feature #4684: Allow for customizable view permissions when adding an issue added

#17 - 2020-01-13 05:38 - Go MAEDA

- Related to Feature #1445: add new permission ‘edit issue planning' added

#18 - 2021-06-28 00:01 - Go MAEDA

- Related to Feature #13422: "Edit assigned user" permission for issues added

#19 - 2024-02-27 17:33 - Holger Just
- Has duplicate Feature #4485: Create an ACL privilege for assigning tickets added
